> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取任务状态 - fetch

> 查询任务结果



## OpenAPI

````yaml openapi/cn/flowmuisc.json get /flowmusic/v1/fetch
openapi: 3.1.0
info:
  title: Flowmusic API DOCS
  version: 1.0.0
  description: TTAPI Flowmusic API 接口服务，目前集成了市场上最为领先的音乐大模型。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /flowmusic/v1/fetch:
    get:
      description: 查询任务结果
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: 生成接口同步返回的jobId
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: 任务状态：PENDING_QUEUE-排队中，ON_QUEUE-处理中，SUCCESS-成功，FAILED-失败
                    example: SUCCESS
                  message:
                    type: string
                    description: 响应信息：成功时为空字符串，失败时返回具体错误原因（如「额度不足」「提示词违规」）
                    example: ''
                  data:
                    type: object
                    description: 创建视频
                    properties:
                      quota:
                        type: string
                        description: 消耗配额
                required:
                  - status
                  - message
                  - jobId
                example:
                  status: SUCCESS
                  message: success
                  jobId: ffd6870b-9a83-47e6-9d57-601efced86b5
                  data:
                    jobId: ffd6870b-9a83-47e6-9d57-601efced86b5
                    action: lyrics
                    progress: 100%
                    mv: FUZZ-2.0
                    quota: '1'
                    hookUrl: null
                    clips:
                      - clip_id: 07d737cf-9509-4132-99f5-a17339bd7462
                        title: Work It Out
                        lyrics_id: 837e6f94-870b-53a9-8b18-dcf0340b429f
                        lyrics_timing_markers: >-
                          [Verse 1]

                          Beat beats beneath my breath

                          Sweat starts to show itself

                          Can't catch a quiet breath

                          Feel the fire fight itself


                          [Pre-Chorus]

                          Work won't wait, won't waste away

                          Push the pace, I play today


                          [Chorus]

                          Move my muscles, make it better

                          Feel the freedom in my fever

                          Dance the duty, dance forever

                          Beat the burden, be believer

                          Work it out, work it out

                          Move it now, move it now


                          [Verse 2 - Barely introducing the topic]

                          Something's spinning in my soul

                          Pressure pressing, taking toll

                          Need to find another role

                          Break the weight and make me whole


                          [Pre-Chorus]

                          Work won't wait, won't waste away

                          Push the pace, I play today


                          [Chorus]

                          Move my muscles, make it better

                          Feel the freedom in my fever

                          Dance the duty, dance forever

                          Beat the burden, be believer

                          Work it out, work it out

                          Move it now, move it now


                          [Rap]

                          Stress is stacking, spine is aching, spirit's shaking
                          daily

                          But I battle with my body when the bass begins to play
                          me

                          Feel the friction fade away when feet begin to fly
                          free

                          Music makes the madness melt, my mind begins to find
                          me

                          Labor's loading on my lungs but love is lifting
                          lightly

                          Beat becomes my breathing, brings me back to being
                          brightly

                          Sweat becomes my symphony, sync becomes my saving

                          Dancing through the difficulty, doubt becomes my
                          craving

                          Move until the morning makes me feel like I am flying

                          Work without the worry, without walls that keep me
                          crying

                          Freedom in the frequency, feeling what I'm fighting

                          Body beats the burden when the bass begins its biting


                          [Bridge]

                          Stop the struggle, start to shake

                          Feel the weight begin to break

                          Motion makes the moment take

                          All the ache away


                          [Final Chorus]

                          Move my muscles, make it better

                          Feel the freedom in my fever

                          Dance the duty, dance forever

                          Beat the burden, be believer

                          Work it out, work it out

                          Move it now, move it now

                          Work it out, work it out

                          Move it now, move it now


                          [Outro]

                          Beat beats beneath my breath

                          Dance the weight right off my chest
                        image_url: null
                        audio_url: null
                        wav_url: null
                        video_url: null
                        create_time: null
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````